Subject: Anonymous Upload problems

From: Ron Crisco <[email-masked]>
Date: Tue, 02 Jul 1996 16:23:37 -0500

I figured out the problems and fixed it. I changed the ftpaccess file.
Changed 
#upload  /usr2/ftp  *           no
upload  /usr2/ftp  /pub/incoming    yes     ftp    ftpadmin   0770 nodirs
to
upload  /usr2/ftp  *           no
upload  /usr2/ftp  /incoming    yes     ftp    ftpadmin   0040 nodirs

Thanks for the help.
Ron

>I installed the wu-ftp 2.4 server on FreeBSD 2.2 and I'm having some
problems with anonymous FTP. I am trying to set up the incoming directory so
that it will accept uploads only and not downloads. The upload lines in the
ftpaccess file seem to be ignored. Directories *can* be created in incoming
and the permissions of the files created are 644. Any assistance would be
greatly appreciated.
>Ron Crisco
>[email-masked]
>
>from ftpaccess
>--------------
># all the following default to "yes" for everybody
>delete          no      guest,anonymous # delete permission?
>overwrite       no      guest,anonymous # overwrite permission?
>rename          no      guest,anonymous # rename permission?
>chmod           no      real,guest,anonymous   # chmod permission?
>umask           no      real,guest,anonymous    # umask permission?
>
># specify the upload directory information
>upload  /usr2/ftp  /pub/incoming    yes     ftp    ftpadmin   0770 nodirs
>#upload  /usr2/ftp  *           no
>upload  /usr2/ftp  /bin          no
>upload  /usr2/ftp  /etc          no
>-----------------------
>
>/usr2/ftp is the ~ftp directory
>